Bug 22505 - Add column configuration to patron list table
Summary: Add column configuration to patron list table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-13 13:45 UTC by Julian Maurice
Modified: 2019-04-01 13:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22505: Add column configuration to patron list table (3.15 KB, patch)
2019-03-13 13:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 22505: Add column configuration to patron list table (3.20 KB, patch)
2019-03-13 18:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22505: Add column configuration to patron list table (3.24 KB, patch)
2019-03-15 18:20 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22505: Add column configuration to patron list table (3.28 KB, patch)
2019-03-15 18:24 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 22505: Add column configuration to patron list table (3.35 KB, patch)
2019-03-24 13:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2019-03-13 13:45:42 UTC

    
Comment 1 Julian Maurice 2019-03-13 13:46:21 UTC
Created attachment 86570 [details] [review]
Bug 22505: Add column configuration to patron list table

Test plan:
1. Create a list of patrons
2. Add some patrons to this list
3. Go to this patron list
   (/cgi-bin/koha/patron_lists/list.pl?patron_list_id=XXX)
4. Verify that you can show/hide all columns except the one containing
   the checkbox
5. Verify that you can export the table data using the Export menu
6. Go to admin/columns_settings.pl, and verify that the configuration
   works for table 'patron-list-table'
Comment 2 Owen Leonard 2019-03-13 18:48:27 UTC
Created attachment 86582 [details] [review]
Bug 22505: Add column configuration to patron list table

Test plan:
1. Create a list of patrons
2. Add some patrons to this list
3. Go to this patron list
   (/cgi-bin/koha/patron_lists/list.pl?patron_list_id=XXX)
4. Verify that you can show/hide all columns except the one containing
   the checkbox
5. Verify that you can export the table data using the Export menu
6. Go to admin/columns_settings.pl, and verify that the configuration
   works for table 'patron-list-table'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Bin Wen 2019-03-15 18:20:25 UTC
Created attachment 86685 [details] [review]
Bug 22505: Add column configuration to patron list table

Test plan:
1. Create a list of patrons
2. Add some patrons to this list
3. Go to this patron list
   (/cgi-bin/koha/patron_lists/list.pl?patron_list_id=XXX)
4. Verify that you can show/hide all columns except the one containing
   the checkbox
5. Verify that you can export the table data using the Export menu
6. Go to admin/columns_settings.pl, and verify that the configuration
   works for table 'patron-list-table'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 José-Mario Monteiro-Santos 2019-03-15 18:24:47 UTC
Created attachment 86686 [details] [review]
Bug 22505: Add column configuration to patron list table

Test plan:
1. Create a list of patrons
2. Add some patrons to this list
3. Go to this patron list
   (/cgi-bin/koha/patron_lists/list.pl?patron_list_id=XXX)
4. Verify that you can show/hide all columns except the one containing
   the checkbox
5. Verify that you can export the table data using the Export menu
6. Go to admin/columns_settings.pl, and verify that the configuration
   works for table 'patron-list-table'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 5 Katrin Fischer 2019-03-24 13:44:13 UTC
Created attachment 86957 [details] [review]
Bug 22505: Add column configuration to patron list table

Test plan:
1. Create a list of patrons
2. Add some patrons to this list
3. Go to this patron list
   (/cgi-bin/koha/patron_lists/list.pl?patron_list_id=XXX)
4. Verify that you can show/hide all columns except the one containing
   the checkbox
5. Verify that you can export the table data using the Export menu
6. Go to admin/columns_settings.pl, and verify that the configuration
   works for table 'patron-list-table'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-03-28 18:19:34 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-01 13:58:45 UTC
Enhancement, will not be backported to 18.11.x series.